#!/itl/links/generic/bin/tclsh8.0
# WebSubmit 2.0 motd.cgi @(#)motd.cgi	1.9 SCCS/s.motd.cgi  99/05/06 

# AUTHORS #############################################################

#  Authors: John Koontz, Ryan McCormack, Judith Devaney
#  Original Development Work: Robert Lipman, John Koontz, Katherine
#      Pagoaga

# Copyright Information ###############################################

# This software was developed at the National Institute of Standards
# and Technology by employees of the Federal Government in the course
# of their official duties.  Pursuant to title 17 Section 105 of the
# United States Code this software is not subject to copyright
# protection and is in the public domain.

# CODEINFO BEGIN ######################################################

# info script motd.cgi> Script to generate state modification for

# CODEINFO END ########################################################

# webSubmit setup
source /sasp/WebSubmit/webSubmit2.5/bin/websubmit.conf

# WS MotD file
alias webSubmit wsLibDir
set wsMotd "$wsLibDir/motd.txt"

# Build Web Page
cgi_eval {
    # HTTP Header
   cgi_http_head
   
    # Body
    cgi_html {

      cgi_body bgcolor=$masterBgcolor {
	  cgi_h2 "WebSubmit: Messages of the Day"
	  cgi_hr
	  if {[file exists $wsMotd]} {
	      set fid [open $wsMotd r]
	      set wsmotd_text [read $fid]
	      close $fid
	      if {$wsmotd_text != ""} {
                  puts "[cgi_p $wsmotd_text]"
	      } else {
		  puts "There are no messages currently available"
	      }
	  } else {
	      set errorMsg "ERROR:  Could not find WebSubmit message of the day file."
	      puts $errorMsg
	  }
      }
   }
}







