#!/itl/links/generic/bin/tclsh8.0
# WebSubmit 2.0 netDirBrowse.cgi @(#)netDirBrowse.cgi	1.3 SCCS/s.netDirBrowse.cgi  99/06/25 

# AUTHORS #############################################################

#  Authors: John Koontz, Ryan McCormack, Judith Devaney
#  Original Development Work: Robert Lipman, John Koontz, Katherine
#      Pagoaga

# Copyright Information ###############################################

# This software was developed at the National Institute of Standards
# and Technology by employees of the Federal Government in the course
# of their official duties.  Pursuant to title 17 Section 105 of the
# United States Code this software is not subject to copyright
# protection and is in the public domain.

# CODEINFO BEGIN ######################################################

# info script netDirBrowse.cgi> Script to wrap java file browser

# CODEINFO END ########################################################

# webSubmit setup
set wsLibDir "/sasp/WebSubmit/webSubmit2.5/lib"
lappend auto_path $wsLibDir
package require webSubmit

# Alias definitions
alias webSubmit docHead cgiHead
alias webSubmit::auth dump

# Create list of hosts to pass to applet
set dump 0
if [webSubmit::auth::hasCert] {
    set dump 0
source /sasp/WebSubmit/webSubmit2.5/bin/websubmit.conf
    if {$::webSubmit::userName != ""} {
	set hostList [join $webSubmit::auth::hostList ,]
	puts "Hosts: \"$hostList\""
    } else {
	cgiBomb netDirBrowse "You don't have permission to access this script"
    }
}

cgi_input
foreach var [list form filefield remHost] {
    if [catch {cgi_import $var}] {
	set $var ""
    }
}

cgi_eval {
    # HTTP Header
    cgi_http_head

    # Body
    cgi_html {
	cgi_body bgcolor=#1c0b5a  {
	    cgi_applet CODEBASE=$docHead ARCHIVE=netDir.jar\
                    CODE=netDirBrowser.class\
		    WIDTH=600 HEIGHT=400 MAYSCRIPT {
		cgi_param hostList=$hostList
		cgi_param form=$form
		cgi_param filefield=$filefield
		cgi_param remHost=$remHost
		cgi_param proxyURL=${cgiHead}/genExecCmdsubmit.cgi
	    }
	}
    }
}

    


































































































































































































































































































































































































































































































































































































































































































































