/*
 * File: browser.js
 * Include with <SCRIPT SRC="browser.js"></SCRIPT>
 * 
 * Simple routine to determine browser version and vendor
 *
 * Stolen wholesale from "JavaScript: The Definitive Guide",
 *  D. Flanagan, 3rd Ed, p. 238
 */

// Create a brower object
var browser = new Object();

// Determine browser major version
browser.version = parseInt(navigator.appVersion);

// Determine whether browser is Netscape or MSIE
browser.isNavigator = false;
browser.isMSIE = false;
if (navigator.appName.indexOf("Netscape") != -1) {
    browser.isNavigator = true;
} else if (navigator.appName.indexOf("Microsoft") != -1) {
    browser.isMSIE = true;
}
