#!/bin/sh
# Script used by llQstat.cgi as a frontend to LoadLeveler's jm_status
tmpfile=/tmp/jmsum.$$
rm -f $tmpfile.0 $tmpfile.1
jm_status -j > $tmpfile.0
if [ -s $tmpfile.0 ] ; then
	egrep "allocated|requestor=|Node" $tmpfile.0 > $tmpfile.1
	echo 'g/requestor/-1,.j\nw\nq\n' | ed - $tmpfile.1
	echo 'g/^    Node: /-1,.j\nw\nq\n' | ed - $tmpfile.1
	sed -e 's/   Node: grand//g' -e 's/.nist.gov//g' -e 's/time_allocated=//' -e 's/       requestor=//' -e 's/requestor_pid=[0-9]*/	/' $tmpfile.1
fi
used=`grep -c Node: $tmpfile.0`
left=`expr 37 - $used`
#if [ `llq 5229|grep '1 running'|wc -l` -eq 1 ]
#then
#   echo 'Job :     Tue_Nov_10_06:48:09_1998   sgsrini     28 29 3 30 31 4 5 6 '
#   left=`expr 37 - $used - 8`
#fi
echo
echo "                                                 " $left nodes available
rm -f $tmpfile.0 $tmpfile.1
