#!/itl/links/generic/bin/tclsh8.0
# WebSubmit 2.0 nlinkbar.cgi @(#)nlinkbar.cgi	1.4 SCCS/s.nlinkbar.cgi  99/07/12 

# AUTHORS #############################################################

#  Authors: John Koontz, Ryan McCormack, Judith Devaney
#  Original Development Work: Robert Lipman, John Koontz, Katherine
#      Pagoaga

# Copyright Information ###############################################

# This software was developed at the National Institute of Standards
# and Technology by employees of the Federal Government in the course
# of their official duties.  Pursuant to title 17 Section 105 of the
# United States Code this software is not subject to copyright
# protection and is in the public domain.

# CODEINFO BEGIN ######################################################

# info script nlinkbar> Script to generate simple linkbar for WS
#     This version is the insecure version for $nDocHead.

# CODEINFO END ########################################################

# webSubmit setup
set wsLibDir "/sasp/WebSubmit/webSubmit2.5/lib"
lappend auto_path $wsLibDir
package require webSubmit

# Alias definitions
alias webSubmit cgiHead nDocHead certManager javaScriptHead

# Define image links
cgi_imglink logo "$nDocHead/logoFatBack.jpg" vspace=0 hspace=0 border=0

# Define page links
cgi_link faq "[cgi_img "$nDocHead/faqOff.gif" NAME=faq BORDER=0]" "$nDocHead/FAQ.html" \
	"onMouseOver=imageOn('faq'); return setMsg('WebSubmit FAQ')"\
	"onMouseOut=imageOff('faq'); return setMsg('')" target=websubmit_help
cgi_link register "[cgi_img "$nDocHead/registerOff.jpg" NAME=register BORDER=0]" "$certManager" \
	"onMouseOver=imageOn('register'); return setMsg('Register for WebSubmit')"\
	"onMouseOut=imageOff('register'); return setMsg('')" target=master
cgi_link access "[cgi_img "$nDocHead/accessOff.jpg" NAME=access BORDER=0]" "$cgiHead/websubmit.cgi" \
	"onMouseOver=imageOn('access'); return setMsg('Go to secure Web Server')"\
	"onMouseOut=imageOff('access'); return setMsg('')" target=_top
set linkList [list register faq]

cgi_eval {
    # HTTP Header
    cgi_http_head

    # Body
    cgi_html {
	cgi_body vlink=antiquewhite bgcolor=#1c0b5A link=antiquewhite text=red {
	    # Load image swapping code
	    cgi_javascript SRC="$javaScriptHead/imgSwap.js" {}
	    
	    # Image array for swapping images
	    cgi_javascript {
		puts "if (document.images) {"
		puts "  var onImgArray = new Array()"
		puts "  var offImgArray = new Array()"
		puts "  onImgArray\[\"register\"\] = new Image(150,25)"
		puts "  offImgArray\[\"register\"\] = new Image(150,25)"
		puts "  onImgArray\[\"register\"\].src = \"$nDocHead/registerOn.jpg\""
		puts "  offImgArray\[\"register\"\].src = \"$nDocHead/registerOff.jpg\""
		puts "  onImgArray\[\"faq\"\] = new Image(150,25)"
		puts "  offImgArray\[\"faq\"\] = new Image(150,25)"
		puts "  onImgArray\[\"faq\"\].src = \"$nDocHead/faqOn.gif\""
		puts "  offImgArray\[\"faq\"\].src = \"$nDocHead/faqOff.gif\""
		puts "  onImgArray\[\"access\"\] = new Image(150,50)"
		puts "  offImgArray\[\"access\"\] = new Image(150,50)"
		puts "  onImgArray\[\"access\"\].src = \"$nDocHead/accessOn.jpg\""
		puts "  offImgArray\[\"access\"\].src = \"$nDocHead/accessOff.jpg\""
		puts "}"
	    }

	    cgi_center {
		puts "[cgi_imglink logo]"
	    }
	    cgi_br
	    foreach link [list register faq access] {
		puts "[cgi_link $link][cgi_nl]"
	    }
	}
    }
}

    


























































































































































































































































































































































































































































