#!/itl/links/generic/bin/tclsh8.0
# WebSubmit 2.0 footer.cgi @(#)footer.cgi	1.7 SCCS/s.footer.cgi  98/06/01 

# AUTHORS #############################################################

#  Authors: John Koontz, Ryan McCormack, Judith Devaney
#  Original Development Work: Robert Lipman, John Koontz, Katherine
#      Pagoaga

# Copyright Information ###############################################

# This software was developed at the National Institute of Standards
# and Technology by employees of the Federal Government in the course
# of their official duties.  Pursuant to title 17 Section 105 of the
# United States Code this software is not subject to copyright
# protection and is in the public domain.

# CODEINFO BEGIN ######################################################

# info script footer> Script to generate simple frame scheme for Master 
#     WebSubmit page

# CODEINFO END ########################################################

# webSubmit setup
source /sasp/WebSubmit/webSubmit2.5/bin/websubmit.conf

# Aliases
alias webSubmit imgHead

# Define links
cgi_link mail "$::webSubmit::programmerEmailAddr"\
    "mailto:$::webSubmit::programmerEmailAddr"

# Define images
cgi_imglink string "$imgHead/strings.gif"
cgi_imglink wavy2 "$imgHead/wavy2.gif" width=100%

cgi_eval {
    # HTTP Header
    cgi_http_head

    # Framesets
    cgi_html {

	cgi_body bgcolor=$masterBgcolor {
	    puts "[cgi_imglink wavy2]"
	    cgi_table width=100% {
		cgi_table_row {
		    cgi_table_data align=left {
			authHeader
		    }

		    cgi_td align=right valign=top "For bug reports and additional information:\
			    [cgi_nl] [cgi_link mail]"
		}
	    }
	}
    }
}


























