/* 
 * FormHelp.js
 *  Class definition for form help objects.  These objects contain
 *  information related to form elements and how to use them.
 */	

// Constructor
function FormHelp(header,text) {
    this.header = header; // Header element
    this.text = text;     // Descriptive text
}

// Instance Methods

// Method to return header text
FormHelp.prototype.getHeader = function() {
    if (this.header) {
	return '<FONT SIZE=-1 COLOR=yellow>Help Desk:</FONT><FONT COLOR=deepskyblue SIZE=-1><B>&nbsp;' + this.header + '</B></FONT>';
    }
}

// Method to return body text
FormHelp.prototype.getText = function() {
    return this.text;
}
