#!/itl/links/generic/bin/tclsh8.0
# WebSubmit 2.0 link.cgi @(#)linkbar.cgi	1.9 SCCS/s.linkbar.cgi  98/06/08 

# AUTHORS #############################################################

#  Authors: John Koontz, Ryan McCormack, Judith Devaney
#  Original Development Work: Robert Lipman, John Koontz, Katherine
#      Pagoaga

# Copyright Information ###############################################

# This software was developed at the National Institute of Standards
# and Technology by employees of the Federal Government in the course
# of their official duties.  Pursuant to title 17 Section 105 of the
# United States Code this software is not subject to copyright
# protection and is in the public domain.

# CODEINFO BEGIN ######################################################

# info script link> Script to generate simple frame scheme for Master 
#     WebSubmit page

# CODEINFO END ########################################################

# webSubmit setup
set wsLibDir "/sasp/WebSubmit/webSubmit2.5/lib"
lappend auto_path $wsLibDir
package require webSubmit

# Alias definitions
alias webSubmit nDocHead

# Define image links
cgi_imglink feather "$nDocHead/cgitcl.small.gif" width=71 height=32 vspace=2 border=0 "alt=cgi.tcl Home"
cgi_imglink email "$nDocHead/email.gif" width=89 height=26 vspace=2 border=0 "alt=Bug reports, comments, questions?"

cgi_eval {
    # HTTP Header
    cgi_http_head

    # Body
    cgi_html {
	cgi_body bgcolor=#1c0b5A  {
	    cgi_table align=center height=95% {
		cgi_table_row {
		    cgi_table_data align=center valign=bottom {
			puts "[cgi_url [cgi_imglink email] mailto:websubmit@ogma.nist.gov]"
			cgi_br
			puts "[cgi_url [cgi_imglink feather] http://www.mel.nist.gov/div826/subject/expect/cgi.tcl/ target=_none]"
		    }
		}
	    }
	}
    }
}

    








































































































































































































































































































































































