#!/itl/links/generic/bin/tclsh8.0
# WebSubmit 2.0 nwebsubmit.cgi @(#)nwebsubmit.cgi	1.3 SCCS/s.nwebsubmit.cgi  99/07/12 

# AUTHORS #############################################################

#  Authors: John Koontz, Ryan McCormack, Judith Devaney
#  Original Development Work: Robert Lipman, John Koontz, Katherine
#      Pagoaga

# Copyright Information ###############################################

# This software was developed at the National Institute of Standards
# and Technology by employees of the Federal Government in the course
# of their official duties.  Pursuant to title 17 Section 105 of the
# United States Code this software is not subject to copyright
# protection and is in the public domain.

# CODEINFO BEGIN ######################################################

# info script> Script to generate simple frame scheme for WebSubmit 
#     master page (insecure copy that tells user how toi get certified)
#     All links are to http (not https) URLs realized in nDocHead,
#     where all references to cgi script X.cgi are linked to nX.cgi.
#     This is a simple dodge to get around a simnple-minded SCCS scheme
#     with a single src directory that can't distingusih two different
#     X.cgi scripts (one for https reference and one for http reference).


# CODEINFO END ########################################################

# Initialize WebSubmit environment
set wsLibDir "/sasp/WebSubmit/webSubmit2.5/lib"
lappend auto_path $wsLibDir
package require webSubmit
alias webSubmit nDocHead

cgi_eval {
    # HTTP Header
    cgi_http_head

    # Framesets
    cgi_html {
	cgi_title "WebSubmit Master Page"

	cgi_frameset frameborder=yes cols=200,* {
	    # LHS links column
	    cgi_frameset rows=*,125 {
		cgi_frame info=linkbar.cgi
		cgi_frame linkfoot=linkfooter.cgi scrolling=no
	    }
	    cgi_frame master=$nDocHead/websubmit.html
	}
    }
}






























































































































































































































































































































































